summaryrefslogtreecommitdiffstats
path: root/network/openvas-client
diff options
context:
space:
mode:
author Marco Bonetti2010-05-13 00:37:44 +0200
committer David Somero2010-05-13 00:37:44 +0200
commit25e3bc68239f87e8387edb506cff056cf3a2a257 (patch)
tree833222e0fa0409962f259e06624fcef1bf18bf12 /network/openvas-client
parente5e00f5ae09834043cb1975226ea5919fd884a10 (diff)
downloadslackbuilds-25e3bc68239f87e8387edb506cff056cf3a2a257.tar.gz
network/openvas-client: Updated for version 3.0.0
Diffstat (limited to 'network/openvas-client')
-rw-r--r--network/openvas-client/README21
-rw-r--r--network/openvas-client/doinst.sh14
-rw-r--r--network/openvas-client/openvas-client.SlackBuild17
-rw-r--r--network/openvas-client/openvas-client.info8
4 files changed, 48 insertions, 12 deletions
diff --git a/network/openvas-client/README b/network/openvas-client/README
index 0bebf56935..9b1a67f7a3 100644
--- a/network/openvas-client/README
+++ b/network/openvas-client/README
@@ -5,5 +5,26 @@ to detect security problems in remote systems and applications.
OpenVAS products are Free Software under GNU GPL and a fork of Nessus.
+This package provides the OpenVAS scanner. To build a complete OpenVAS scanner
+installation, however, you have to compile and install the packages in the
+following sequence:
+ 1. openvas-libraries
+ 2. openvas-scanner
+ 3. openvas-client
+
+The openvas-client GUI is needed to interact with the OpenVAS scanner, however
+there are some new optional modules:
+ 1. openvas-scanner for storing and organizing scans on a central server in a
+ SQL database
+ 2. openvas-administrator for User-, Feed- and Settings-Management
+ 3. greenbone-security-assistant for a web-based Vulnerability Management
+
This package provides the OpenVAS client. You need GTK libraries and
OpenSSL are highly recommended, both of them are avalaible from Slackware.
+
+As a last note, keep in mind that this is a major version transition: the
+older openvas-libnasl and openvas-plugins packages no longer exists,
+openvas-server has been replaced by the openvas-scanner package and there are
+the new optional modules. A straight upgradepkg (with removal of deprecated
+packages) *SHOULD* work but also consider to backup your old configuration and
+starting over from a fresh OpenVAS installation.
diff --git a/network/openvas-client/doinst.sh b/network/openvas-client/doinst.sh
new file mode 100644
index 0000000000..3a0d87b6c3
--- /dev/null
+++ b/network/openvas-client/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/openvas/openvas-client_log.conf.new
+
diff --git a/network/openvas-client/openvas-client.SlackBuild b/network/openvas-client/openvas-client.SlackBuild
index 47bf889206..5249660ed0 100644
--- a/network/openvas-client/openvas-client.SlackBuild
+++ b/network/openvas-client/openvas-client.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=openvas-client
-VERSION=${VERSION:-2.0.3}
+VERSION=${VERSION:-3.0.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,7 +34,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="CHANGES COPYING COPYING.OpenSSL COPYING.README"
+DOCS="CHANGES COPYING COPYING.README ChangeLog"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -71,16 +71,12 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-# looks like they forgot something ;-)
-if [ -r ssl/openvasclient-mkrand ]; then
- install -m 0755 ssl/openvasclient-mkrand $PKG/usr/bin/openvasclient-mkrand
-fi
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
@@ -90,11 +86,14 @@ fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a libnessus/COPYING $PKG/usr/doc/$PRGNAM-$VERSION/COPYING.libnessus
+mv $PKG/etc/openvas/openvas-client_log.conf $PKG/etc/openvas/openvas-client_log.conf.new
+chmod 644 $PKG/etc/openvas/openvas-client_log.conf.new
+
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/openvas-client/openvas-client.info b/network/openvas-client/openvas-client.info
index cfcab6f61d..4eb810f4f1 100644
--- a/network/openvas-client/openvas-client.info
+++ b/network/openvas-client/openvas-client.info
@@ -1,8 +1,10 @@
PRGNAM="openvas-client"
-VERSION="2.0.3"
+VERSION="3.0.0"
HOMEPAGE="http://www.openvas.org/"
-DOWNLOAD="http://wald.intevation.org/frs/download.php/575/openvas-client-2.0.3.tar.gz"
-MD5SUM="dfddebca8aa81b6136d84084a60203d3"
+DOWNLOAD="http://wald.intevation.org/frs/download.php/685/openvas-client-3.0.0.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="c5fc0c744865ca2e6c331bab529e11a3"
+MD5SUM_x86_64=""
MAINTAINER="Marco Bonetti"
EMAIL="sid77@slackware.it"
APPROVED="dsomero"